debug.h File Reference
`#include "lwip/arch.h"`
`#include "lwip/opt.h"`

## Macros

#define | LWIP_NOASSERT
#define | LWIP_DEBUG
Debug level (LWIP_DBG_MIN_LEVEL)
#define | LWIP_DBG_LEVEL_ALL 0x00
#define | LWIP_DBG_LEVEL_WARNING 0x01
#define | LWIP_DBG_LEVEL_SERIOUS 0x02
#define | LWIP_DBG_LEVEL_SEVERE 0x03
Enable/disable debug messages completely (LWIP_DBG_TYPES_ON)
#define | LWIP_DBG_ON 0x80U
#define | LWIP_DBG_OFF 0x00U
Debug message types (LWIP_DBG_TYPES_ON)
#define | LWIP_DBG_TRACE 0x40U
#define | LWIP_DBG_STATE 0x20U
#define | LWIP_DBG_FRESH 0x10U
#define | LWIP_DBG_HALT 0x08U

## Detailed Description

Debug messages infrastructure

## Macro Definition Documentation

## LWIP_DEBUG

#define LWIP_DEBUG

Enable debug message printing, but only if debug message type is enabled AND is of correct type AND is at least LWIP_DBG_LEVEL.